#' Aggregate/conditional graphs and automatic layout using formulas
#'
#' \pkg{fplot} provides automatic plotting of common graphs (distributions, lines, bar plots and boxplots). The syntax uses formulas, allowing aggregate/conditional/weighted graphs with minimum efforts. The many arguments are automatically adjusted to the data in order to provide the nicest and most meaningful graphs.
#'
#' @details
#'
#' The core functions are: \code{\link[fplot]{plot_distr}} to draw distributions, \code{\link[fplot]{plot_lines}} to represent the (usually temporal) evolution of variables, \code{\link[fplot]{plot_box}} for conditional boxplots, and \code{\link[fplot]{plot_bar}} for aggregate bar plots.
#'
#'
#'
"_PACKAGE"
